Package org.eclipse.ecf.remoteservice

## Interface IRSAConsumerContainerAdapter

All Known Implementing Classes:
  `AbstractRSAClientContainer`

    public interface IRSAConsumerContainerAdapter

Since:
  8.9

### Method Summary

All Methods Instance Methods Abstract Methods
`IRemoteServiceReference[]` `importEndpoint​(Map<String,​Object> endpointDescriptionProperties)`

### Method Detail

#### importEndpoint

    IRemoteServiceReference[] importEndpoint​(Map<String,​Object> endpointDescriptionProperties)
                                      throws ContainerConnectException,
                                             InvalidSyntaxException

Throws:
  `ContainerConnectException`
  `InvalidSyntaxException`